<?php
/**
 * Customizer - Active Callback Functions
 *
 * @package One_Hive
 */

/*
 *	Active Callback Functions for Page Option
 */
if( ! function_exists( 'one_hive_is_active_home_page' ) ) {

	function one_hive_is_active_home_page( $control ) {
		if( $control->manager->get_setting( 'one_hive_active_home_page' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}


/*
 *	Active Callback Functions for header color
 */
if( ! function_exists( 'one_hive_is_color_header_color_layout' ) ) {

	function one_hive_is_color_header_color_layout( $control ) {
		if( $control->manager->get_setting( 'one_hive_header_color_layout' )->value() == 'color' ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_gradient_header_color_layout' ) ) {

	function one_hive_is_gradient_header_color_layout( $control ) {
		if( $control->manager->get_setting( 'one_hive_header_color_layout' )->value() == 'gradient' ) {
			return true;
		} else {
			return false;
		}
	}
}


/*
 *	Active Callback Functions for Banner Section
 */
if( ! function_exists( 'one_hive_is_active_banner_section' ) ) {

	function one_hive_is_active_banner_section( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_banner_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_active_banner_one_layout' ) ) {

	function one_hive_is_active_banner_one_layout( $control ) {
		if( $control->manager->get_setting( 'one_hive_banner_layout' )->value() == 'banner_one' && $control->manager->get_setting( 'one_hive_enable_banner_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_active_banner_two_layout' ) ) {

	function one_hive_is_active_banner_two_layout( $control ) {
		if( $control->manager->get_setting( 'one_hive_banner_layout' )->value() == 'banner_two' && $control->manager->get_setting( 'one_hive_enable_banner_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_enable_banner_section_id' ) ) {

	function one_hive_enable_banner_section_id( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_banner_section' )->value() == true && $control->manager->get_setting( 'one_hive_site_choice' )->value() == 'one_page' ) {
			return true;
		} else {
			return false;
		}
	}
}


/*
 *	Active Callback Functions for Author Section
 */
if( ! function_exists( 'one_hive_is_active_author_section' ) ) {

	function one_hive_is_active_author_section( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_author_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_color_author_section_background' ) ) {

	function one_hive_is_color_author_section_background( $control ) {
		if( $control->manager->get_setting( 'one_hive_author_background' )->value() == 'color' && $control->manager->get_setting( 'one_hive_enable_author_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_image_author_section_background' ) ) {

	function one_hive_is_image_author_section_background( $control ) {
		if( $control->manager->get_setting( 'one_hive_author_background' )->value() == 'image' && $control->manager->get_setting( 'one_hive_enable_author_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_enable_author_section_id' ) ) {

	function one_hive_enable_author_section_id( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_author_section' )->value() == true && $control->manager->get_setting( 'one_hive_site_choice' )->value() == 'one_page' ) {
			return true;
		} else {
			return false;
		}
	}
}

/*
 *	Active Callback Functions for Feature Section
 */
if( ! function_exists( 'one_hive_is_active_feature_section' ) ) {

	function one_hive_is_active_feature_section( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_feature_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_color_feature_section_background' ) ) {

	function one_hive_is_color_feature_section_background( $control ) {
		if( $control->manager->get_setting( 'one_hive_feature_background' )->value() == 'color' && $control->manager->get_setting( 'one_hive_enable_feature_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_image_feature_section_background' ) ) {

	function one_hive_is_image_feature_section_background( $control ) {
		if( $control->manager->get_setting( 'one_hive_feature_background' )->value() == 'image' && $control->manager->get_setting( 'one_hive_enable_feature_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_enable_feature_section_id' ) ) {

	function one_hive_enable_feature_section_id( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_feature_section' )->value() == true && $control->manager->get_setting( 'one_hive_site_choice' )->value() == 'one_page' ) {
			return true;
		} else {
			return false;
		}
	}
}

/*
 *	Active Callback Functions for Counter Section
 */
if( ! function_exists( 'one_hive_is_active_counter_section' ) ) {

	function one_hive_is_active_counter_section( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_counter_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_color_counter_section_background' ) ) {

	function one_hive_is_color_counter_section_background( $control ) {
		if( $control->manager->get_setting( 'one_hive_counter_background' )->value() == 'color' && $control->manager->get_setting( 'one_hive_enable_counter_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_image_counter_section_background' ) ) {

	function one_hive_is_image_counter_section_background( $control ) {
		if( $control->manager->get_setting( 'one_hive_counter_background' )->value() == 'image' && $control->manager->get_setting( 'one_hive_enable_counter_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_enable_counter_section_id' ) ) {

	function one_hive_enable_counter_section_id( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_counter_section' )->value() == true && $control->manager->get_setting( 'one_hive_site_choice' )->value() == 'one_page' ) {
			return true;
		} else {
			return false;
		}
	}
}

/*
 *	Active Callback Functions for Team Section
 */
if( ! function_exists( 'one_hive_is_active_team_section' ) ) {

	function one_hive_is_active_team_section( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_team_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_color_team_section_background' ) ) {

	function one_hive_is_color_team_section_background( $control ) {
		if( $control->manager->get_setting( 'one_hive_team_background' )->value() == 'color' && $control->manager->get_setting( 'one_hive_enable_team_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_image_team_section_background' ) ) {

	function one_hive_is_image_team_section_background( $control ) {
		if( $control->manager->get_setting( 'one_hive_team_background' )->value() == 'image' && $control->manager->get_setting( 'one_hive_enable_team_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_enable_team_section_id' ) ) {

	function one_hive_enable_team_section_id( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_team_section' )->value() == true && $control->manager->get_setting( 'one_hive_site_choice' )->value() == 'one_page' ) {
			return true;
		} else {
			return false;
		}
	}
}


/*
 *	Active Callback Functions for Testimonial Section
 */
if( ! function_exists( 'one_hive_is_active_testimonial_section' ) ) {

	function one_hive_is_active_testimonial_section( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_testimonial_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_color_testimonial_section_background' ) ) {

	function one_hive_is_color_testimonial_section_background( $control ) {
		if( $control->manager->get_setting( 'one_hive_testimonial_background' )->value() == 'color' && $control->manager->get_setting( 'one_hive_enable_testimonial_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_image_testimonial_section_background' ) ) {

	function one_hive_is_image_testimonial_section_background( $control ) {
		if( $control->manager->get_setting( 'one_hive_testimonial_background' )->value() == 'image' && $control->manager->get_setting( 'one_hive_enable_testimonial_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_enable_testimonial_section_id' ) ) {

	function one_hive_enable_testimonial_section_id( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_testimonial_section' )->value() == true && $control->manager->get_setting( 'one_hive_site_choice' )->value() == 'one_page' ) {
			return true;
		} else {
			return false;
		}
	}
}

/*
 *	Active Callback Functions for Blog Section
 */
if( ! function_exists( 'one_hive_is_active_blog_section' ) ) {

	function one_hive_is_active_blog_section( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_blog_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_color_blog_section_background' ) ) {

	function one_hive_is_color_blog_section_background( $control ) {
		if( $control->manager->get_setting( 'one_hive_blog_background' )->value() == 'color' && $control->manager->get_setting( 'one_hive_enable_blog_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_image_blog_section_background' ) ) {

	function one_hive_is_image_blog_section_background( $control ) {
		if( $control->manager->get_setting( 'one_hive_blog_background' )->value() == 'image' && $control->manager->get_setting( 'one_hive_enable_blog_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_enable_blog_section_id' ) ) {

	function one_hive_enable_blog_section_id( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_blog_section' )->value() == true && $control->manager->get_setting( 'one_hive_site_choice' )->value() == 'one_page' ) {
			return true;
		} else {
			return false;
		}
	}
}


/*
 *	Active Callback Functions for News Section
 */
if( ! function_exists( 'one_hive_is_active_news_section' ) ) {

	function one_hive_is_active_news_section( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_news_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_color_news_section_background' ) ) {

	function one_hive_is_color_news_section_background( $control ) {
		if( $control->manager->get_setting( 'one_hive_news_background' )->value() == 'color' && $control->manager->get_setting( 'one_hive_enable_news_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_image_news_section_background' ) ) {

	function one_hive_is_image_news_section_background( $control ) {
		if( $control->manager->get_setting( 'one_hive_news_background' )->value() == 'image' && $control->manager->get_setting( 'one_hive_enable_news_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_enable_news_section_id' ) ) {

	function one_hive_enable_news_section_id( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_news_section' )->value() == true && $control->manager->get_setting( 'one_hive_site_choice' )->value() == 'one_page' ) {
			return true;
		} else {
			return false;
		}
	}
}



/*
 *	Active Callback Functions for CTA Section
 */
if( ! function_exists( 'one_hive_is_active_cta_section' ) ) {

	function one_hive_is_active_cta_section( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_cta_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_color_cta_section_background' ) ) {

	function one_hive_is_color_cta_section_background( $control ) {
		if( $control->manager->get_setting( 'one_hive_cta_background' )->value() == 'color' && $control->manager->get_setting( 'one_hive_enable_cta_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_image_cta_section_background' ) ) {

	function one_hive_is_image_cta_section_background( $control ) {
		if( $control->manager->get_setting( 'one_hive_cta_background' )->value() == 'image' && $control->manager->get_setting( 'one_hive_enable_cta_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_enable_cta_section_id' ) ) {

	function one_hive_enable_cta_section_id( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_cta_section' )->value() == true && $control->manager->get_setting( 'one_hive_site_choice' )->value() == 'one_page' ) {
			return true;
		} else {
			return false;
		}
	}
}



/*
 *	Active Callback Functions for Contat Section
 */
if( ! function_exists( 'one_hive_is_active_contact_section' ) ) {

	function one_hive_is_active_contact_section( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_contact_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_color_contact_section_background' ) ) {

	function one_hive_is_color_contact_section_background( $control ) {
		if( $control->manager->get_setting( 'one_hive_contact_background' )->value() == 'color' && $control->manager->get_setting( 'one_hive_enable_contact_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_is_image_contact_section_background' ) ) {

	function one_hive_is_image_contact_section_background( $control ) {
		if( $control->manager->get_setting( 'one_hive_contact_background' )->value() == 'image' && $control->manager->get_setting( 'one_hive_enable_contact_section' )->value() == true ) {
			return true;
		} else {
			return false;
		}
	}
}

if( ! function_exists( 'one_hive_enable_contact_section_id' ) ) {

	function one_hive_enable_contact_section_id( $control ) {
		if( $control->manager->get_setting( 'one_hive_enable_contact_section' )->value() == true && $control->manager->get_setting( 'one_hive_site_choice' )->value() == 'one_page' ) {
			return true;
		} else {
			return false;
		}
	}
}