<?php
/**
 * Dynamic Options hook.
 *
 * @package One_Hive
 */

if ( ! function_exists( 'one_hive_dynamic_css' ) ) :

    function one_hive_dynamic_css() {

        $header_color_layout = one_hive_get_option( 'one_hive_header_color_layout' );
    	$header_color = one_hive_get_option( 'one_hive_header_color' );
    	$header_gradient_color_one = one_hive_get_option( 'one_hive_header_gradient_color_one' );
    	$header_gradient_color_two = one_hive_get_option( 'one_hive_header_gradient_color_two' );

        $banner_background = one_hive_get_option( 'one_hive_banner_layout' );
    	$banner_image_background = one_hive_get_option( 'one_hive_banner_image_background' );
    	$banner_gradient_one = one_hive_get_option( 'one_hive_banner_gradient_color_one' );
    	$banner_gradient_two = one_hive_get_option( 'one_hive_banner_gradient_color_two' );


        $author_background = one_hive_get_option( 'one_hive_author_background' );
    	$author_image_background = one_hive_get_option( 'one_hive_author_image_background' );
    	$author_color_background = one_hive_get_option( 'one_hive_author_color_background' );


        $feature_background = one_hive_get_option( 'one_hive_feature_background' );
    	$feature_image_background = one_hive_get_option( 'one_hive_feature_image_background' );
    	$feature_color_background = one_hive_get_option( 'one_hive_feature_color_background' );


        $counter_background = one_hive_get_option( 'one_hive_counter_background' );
    	$counter_image_background = one_hive_get_option( 'one_hive_counter_image_background' );
    	$counter_color_background = one_hive_get_option( 'one_hive_counter_color_background' );


        $team_background = one_hive_get_option( 'one_hive_team_background' );
        $team_image_background = one_hive_get_option( 'one_hive_team_image_background' );
        $team_color_background = one_hive_get_option( 'one_hive_team_color_background' );


        $news_background = one_hive_get_option( 'one_hive_news_background' );
        $news_image_background = one_hive_get_option( 'one_hive_news_image_background' );
        $news_color_background = one_hive_get_option( 'one_hive_news_color_background' );

        
        $testimonial_background = one_hive_get_option( 'one_hive_testimonial_background' );
    	$testimonial_image_background = one_hive_get_option( 'one_hive_testimonial_image_background' );
    	$testimonial_color_background = one_hive_get_option( 'one_hive_testimonial_color_background' );


        $blog_background = one_hive_get_option( 'one_hive_blog_background' );
    	$blog_image_background = one_hive_get_option( 'one_hive_blog_image_background' );
    	$blog_color_background = one_hive_get_option( 'one_hive_blog_color_background' );


        $cta_background = one_hive_get_option( 'one_hive_cta_background' );
    	$cta_image_background = one_hive_get_option( 'one_hive_cta_image_background' );
    	$cta_color_background = one_hive_get_option( 'one_hive_cta_color_background' );

        $contact_background = one_hive_get_option( 'one_hive_contact_background' );
    	$contact_image_background = one_hive_get_option( 'one_hive_contact_image_background' );
    	$contact_color_background = one_hive_get_option( 'one_hive_contact_color_background' );

    ?>               
	    <style>

            <?php

                if( $header_color_layout == 'color' ) {
                    ?>
                    .oh_general_header .header_inner {
                        background: <?php echo esc_attr( $header_color ); ?>;
                    }
                    header.oh_general_header .is-sticky .sticky_header {
                        background: <?php echo esc_attr( $header_color ); ?>;
                    }
                    <?php
                } else {
                    ?>
                    header.oh_header_layout_two .header_inner {
                        background: linear-gradient(135deg, <?php echo esc_attr( $header_gradient_color_one ); ?> 0%, <?php echo esc_attr( $header_gradient_color_two ); ?> 100%);
                    }

                    header.oh_general_header.oh_header_layout_two .is-sticky .sticky_header {
                        background: linear-gradient(135deg, <?php echo esc_attr( $header_gradient_color_one ); ?> 0%, <?php echo esc_attr( $header_gradient_color_two ); ?> 100%);
                    }
                    <?php
                }

                if( $banner_background == 'layout_one' ) {
                    ?>
                    #banner_wrapper .banner_inner {
                        background-image: url(<?php echo esc_url( $banner_image_background ); ?>);
                    }
                    <?php
                }

                if( $banner_background == 'layout_two' ) {
                    ?>
                    #banner_wrapper.banner_wrapper_layout_two .banner_inner {
                        background-image: linear-gradient(135deg, <?php echo esc_attr( $banner_gradient_one ); ?> 0%, <?php echo esc_attr( $banner_gradient_two ); ?> 100%);
                    }
                    <?php
                }

                if( $author_background == 'color' ) {
                    ?>
                    .me_and_my_skills .section_inner {
                        background: <?php echo esc_attr( $author_color_background ); ?>;
                    }
                    <?php
                } else {
                    ?>
                    .me_and_my_skills .section_inner {
                        background: url(<?php echo esc_url( $author_image_background ); ?>);
                    }
                    <?php
                }

                if( $feature_background == 'color' ) {
                    ?>
                    .features_one .section_inner {
                        background: <?php echo esc_attr( $feature_color_background ); ?>;
                    }
                    <?php
                } else {
                    ?>
                    .features_one .section_inner {
                        background: url(<?php echo esc_url( $feature_image_background ); ?>);
                    }
                    <?php
                }

                if( $counter_background == 'color' ) {
                    ?>
                    .counter_section .section_inner {
                        background: <?php echo esc_attr( $counter_color_background ); ?>;
                    }
                    <?php
                } else {
                    ?>
                    .counter_section .section_inner {
                        background: url(<?php echo esc_url( $counter_image_background ); ?>);
                    }
                    <?php
                }

                if( $team_background == 'color' ) {
                    ?>
                    .team .section_inner {
                        background: <?php echo esc_attr( $team_color_background ); ?>;
                    }
                    <?php
                } else {
                    ?>
                    .team .section_inner {
                        background: url(<?php echo esc_url( $team_image_background ); ?>);
                    }
                    <?php
                }


                if( $news_background == 'color' ) {
                    ?>
                    .blog_layout_one .section_inner {
                        background: <?php echo esc_attr( $news_color_background ); ?>;
                    }
                    <?php
                } else {
                    ?>
                    .blog_layout_one .section_inner {
                        background: url(<?php echo esc_url( $news_image_background ); ?>);
                    }
                    <?php
                }

                if( $testimonial_background == 'color' ) {
                    ?>
                    .oh_testinomial .section_inner {
                        background: <?php echo esc_attr( $testimonial_color_background ); ?>;
                    }
                    <?php
                } else {
                    ?>
                    .oh_testinomial .section_inner {
                        background: url(<?php echo esc_url( $testimonial_image_background ); ?>);
                    }
                    <?php
                }

                if( $blog_background == 'color' ) {
                    ?>
                    .oh_blog_layout_two .section_inner {
                        background: <?php echo esc_attr( $blog_color_background ); ?>;
                    }
                    <?php
                } else {
                    ?>
                    .oh_blog_layout_two .section_inner {
                        background: url(<?php echo esc_url( $blog_image_background ); ?>);
                    }
                    <?php
                }

                if( $cta_background == 'color' ) {
                    ?>
                    .oh_cta .section_inner {
                        background: <?php echo esc_attr( $cta_color_background ); ?>;
                    }
                    <?php
                } else {
                    ?>
                    .oh_cta .section_inner {
                        background: url(<?php echo esc_url( $cta_image_background ); ?>);
                    }
                    <?php
                }

                if( $contact_background == 'color' ) {
                    ?>
                    .oh_contact .section_inner {
                        background: <?php echo esc_attr( $contact_color_background ); ?>;
                    }
                    <?php
                } else {
                    ?>
                    .oh_contact .section_inner {
                        background: url(<?php echo esc_url( $contact_image_background ); ?>);
                    }
                    <?php
                }
            ?>
	    </style>
	    
	<?php 
	}

endif;

add_action( 'wp_head', 'one_hive_dynamic_css' );
