<?php
/**
 * Template part for displaying banner three
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package One_Hive
 */
    $section_id = one_hive_get_option( 'one_hive_banner_section_id' );

    $banner_page = one_hive_get_option( 'one_hive_banner_page' );

    $banner_button_title = one_hive_get_option( 'one_hive_banner_button_title' );

    $banner_button_link = one_hive_get_option( 'one_hive_banner_button_link' );

    $banner_args = array();
                                
    if( absint( $banner_page ) > 0  ) {
        $banner_args['post_type'] = 'page';
        $banner_args['page_id'] = absint( $banner_page );
    }

    $banner_query = new WP_Query( $banner_args );

    if( $banner_query->have_posts() ) :

        while( $banner_query->have_posts() ) :

            $banner_query->the_post();

            ?>
            <div id="<?php echo esc_attr( $section_id ); ?>" class="banner_wrapper banner_wrapper_layout_two">
                <div class="banner_inner">
                    <div class="mask"></div><!-- .mask -->
                    <div class="oh_container">
                        <div class="banner_content_holder">
                            <div class="row">
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <div class="left_side_content">
                                        <div class="banner_title">
                                            <h2>
                                                <?php
                                                    the_title();
                                                ?>
                                            </h2>
                                        </div><!-- .banner_title -->
                                        <div class="banner_desc">
                                            <?php
                                                the_content();
                                            ?>
                                        </div><!-- .banner_desc -->
                                        <?php
                                            if( !empty( $banner_button_title ) && !empty( $banner_button_link ) ) :
                                                ?>
                                                <div class="banner_meta">
                                                    <a class="btn-oh-general" href="<?php echo esc_url( $banner_button_link ); ?>">
                                                        <?php
                                                            echo esc_html( $banner_button_title );
                                                        ?>
                                                    </a><!-- .btn-oh-general -->
                                                </div><!-- .banner_meta -->
                                                <?php
                                            endif;
                                        ?>
                                    </div><!-- .left_side_content -->
                                </div><!-- .col-* -->
                            </div><!-- .row -->
                        </div><!-- .banner_content_holder -->
                    </div><!-- .oh_container -->
                </div><!-- .banner_inner -->
            </div><!-- #banner_wrapper.banner_wrapper_layout_two -->
            <?php

        endwhile;

        wp_reset_postdata();

    endif;
?>