<?php
/**
 * Template part for displaying author section
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package One_Hive
 */

	$enable_author_section = one_hive_get_option( 'one_hive_enable_author_section' );

	$author_section_id = one_hive_get_option( 'one_hive_author_section_id' );

	$author_page = one_hive_get_option( 'one_hive_author_page' );

	$author_args = array();

	if( $author_page > 0 ) {
		$author_args['page_id'] = absint( $author_page );
		$author_args['post_type'] = 'page';
	}

	$author_query = new WP_Query( $author_args );

	if( $enable_author_section == 1 && $author_query->have_posts() ) {
		?>
		<section id="<?php echo esc_attr( $author_section_id ); ?>" class="me_and_my_skills">
	        <div class="section_inner">
	            <div class="oh_container">
	                <div class="row">
	                	<?php
	                		while( $author_query->have_posts() ) :
	                			$author_query->the_post();
			                	?>
			                    <div class="col-md-6 col-sm-6 col-xs-12 cancell_relative">
			                    	<div class="left_author watchheight">
			                        	<div class="author_image">
			                        	<?php
			                        		if( has_post_thumbnail() ) {
			                        			the_post_thumbnail( 'full', array( 'alt' => the_title_attribute( array( 'echo' => false ) ), 'class' => 'img-responsive' ) );
			                        		}
			                        	?>
			                        </div>
			                      </div><!-- // left_author -->
			                    </div><!-- col-* -->
								<?php
							endwhile;
							wp_reset_postdata();

	                    	$author_skills = one_hive_get_option( 'one_hive_author_skills' ); ?>
		                    <div class="col-md-6 col-sm-6 col-xs-12">
		                    	<?php
			                		while( $author_query->have_posts() ) :
			                			$author_query->the_post();
					                	?>
					                	<div class="right_author watchheight">
				                    	 <div class="about_me_outer">
				                            <div class="card_desc_holder">
				                                <div class="author_title">
				                                    <h2>
				                                    	<?php
				                                    		the_title();
				                                    	?>
				                                    </h2>
				                                </div><!-- .author_title -->
				                                <div class="author_description">
				                                    <?php
				                                    	the_content();
				                                    ?>
				                                </div><!-- .author_description -->
				                                <div class="author_social_links">
				                                    <ul>
				                                    	<?php
				                                    		$facebook_link = one_hive_get_option( 'one_hive_author_facebook_link' );
				                                    		if( !empty( $facebook_link ) ) :
						                                    	?>
						                                        <li>
						                                        	<a href="<?php echo esc_url( $facebook_link ); ?>" target="_blank">
						                                        		<i class="fa fa-facebook"></i>
						                                        	</a>
						                                        </li>
						                                        <?php
				                                        	endif;

				                                        	$dribble_link = one_hive_get_option( 'one_hive_author_dribble_link' );
				                                        	if( !empty( $dribble_link ) ) :
						                                        ?>
						                                        <li>
						                                        	<a href="<?php echo esc_url( $dribble_link ); ?>" target="_blank">
						                                        		<i class="fa fa-dribbble"></i>
						                                        	</a>
						                                        </li>
						                                        <?php
				                                        	endif;

				                                        	$behance_link = one_hive_get_option( 'one_hive_author_behance_link' );
				                                        	if( !empty( $behance_link ) ) :
						                                        ?>
						                                        <li>
						                                        	<a href="<?php echo esc_url( $behance_link ); ?>" target="_blank">
						                                        		<i class="fa fa-behance"></i>
						                                        	</a>
						                                        </li>
						                                        <?php
				                                        	endif;

				                                        	$twitter_link = one_hive_get_option( 'one_hive_author_twitter_link' );
				                                        	if( !empty( $twitter_link ) ) :
						                                        ?>
						                                        <li>
						                                        	<a href="<?php echo esc_url( $twitter_link ); ?>" target="_blank">
						                                        		<i class="fa fa-twitter"></i>
						                                        	</a>
						                                        </li>
						                                        <?php
				                                        	endif;

				                                        	$youtube_link = one_hive_get_option( 'one_hive_author_youtube_link' );
				                                        	if( !empty( $youtube_link ) ) :
						                                        ?>
						                                        <li>
						                                        	<a href="<?php echo esc_url( $youtube_link ); ?>" target="_blank">
						                                        		<i class="fa fa-youtube"></i>
						                                        	</a>
						                                        </li>
						                                        <?php
				                                        	endif;

				                                        	$linkedin_link = one_hive_get_option( 'one_hive_author_linkedin_link' );
				                                        	if( !empty( $linkedin_link ) ) :
						                                        ?>
						                                        <li>
						                                        	<a href="<?php echo esc_url( $linkedin_link ); ?>" target="_blank">
						                                        		<i class="fa fa-linkedin"></i>
						                                        	</a>
						                                        </li>
						                                        <?php
				                                        	endif;

				                                        	$instagram_link = one_hive_get_option( 'one_hive_author_instagram_link' );
				                                        	if( !empty( $instagram_link ) ) :
						                                        ?>
						                                        <li>
						                                        	<a href="<?php echo esc_url( $instagram_link ); ?>">
						                                        		<i class="fa fa-instagram"></i>
						                                        	</a>
						                                        </li>
						                                        <?php
				                                        	endif;

				                                        	$googleplus_link = one_hive_get_option( 'one_hive_author_pinterest_link' );
				                                        	if( !empty( $googleplus_link ) ) :
						                                        ?>
						                                        <li>
						                                        	<a href="<?php echo esc_url( $googleplus_link ); ?>">
						                                        		<i class="fa fa-google-plus"></i>
						                                        	</a>
						                                        </li>
						                                        <?php
				                                        	endif;

				                                        	$pinterest_link = one_hive_get_option( 'one_hive_author_pinterest_link' );
				                                        	if( !empty( $pinterest_link ) ) :
						                                        ?>
						                                        <li>
						                                        	<a href="<?php echo esc_url( $pinterest_link ); ?>">
						                                        		<i class="fa fa-pinterest"></i>
						                                        	</a>
						                                        </li>
						                                        <?php
				                                        	endif;
				                                        ?>
				                                    </ul>
				                                </div><!-- .author_social_links -->
				                            </div><!-- .card_desc_holder.watchheight -->
				                        	</div><!-- about_me_outer -->
				                        
				                        <?php
				                    endwhile;
				                    wp_reset_postdata();

				                    if( !empty( $author_skills ) ) { 
				                    	?>
				                        <div class="skills_outer">
				                            <ul id="skills">
				                            	<?php
				                            		$delay = 0;
				                            		foreach( $author_skills as $skill ) :
				                            			$skill_title = $skill['one_hive_author_skill_title'];
				                            			$skill_color = $skill['one_hive_author_skill_color'];
				                            			if( empty( $skill_color ) ) {
				                            				$skill_color = '#000000';
				                            			} else {
				                            				$skill_color = '#'.$skill_color;
				                            			}

				                            			$skill_level = $skill['one_hive_author_skill_level'];
				                            			if( !empty( $skill_title ) && !empty( $skill_level ) ) {
							                            	?>
							                                <li>
							                                    <?php 
							                                    	echo esc_html( $skill['one_hive_author_skill_title'] ); 
							                                    ?>
							                                    <div class="bar-container">
							                                        <span class="bar" data-bar='{ "color": "<?php echo esc_attr( $skill_color ); ?>", "delay": "<?php echo esc_attr( $delay ); ?>" }'>
							                                        	<?php /* translators: 1: skill level. */ ?>
							                                        	<span class="pct"><?php printf( esc_html__( '%1$s&#37;', 'one-hive' ), $skill_level ); ?></span><!-- .pct -->
							                                        </span><!-- .bar -->
							                                    </div><!-- .bar-container -->
							                                </li>
							                                <?php
							                                $delay = $delay + 600;
						                            	}
				                                	endforeach;
				                                ?>
				                            </ul><!-- #skills -->
				                        </div><!-- .skills_outer -->
				                        </div><!-- // right_author -->
				                        <?php 
		                    		} 
		                    	?>
		                    </div><!-- .col-* -->
	                </div><!-- .row -->
	            </div><!-- .oh_container -->
	        </div><!-- .section_inner -->
	    </section><!-- .me_and_my_skills -->
		<?php
	}
?>