<?php
/**
 * Template part for displaying counter section
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package One_Hive
 */

	$enable_counter_section = one_hive_get_option( 'one_hive_enable_counter_section' );

	$counter_section_id = one_hive_get_option( 'one_hive_counter_section_id' );

	$counter_contents = one_hive_get_option( 'one_hive_counter_contents' );

	if( $enable_counter_section == 1 && !empty( $counter_contents ) ) :
		?>
		<section id="<?php echo esc_attr( $counter_section_id ); ?>" class="counter_section">
	        <div class="section_inner">
	            <div class="oh_container">
	                <div class="counter_blocks_outer">
	                    <div class="row">
	                    	<?php
	                    		foreach( $counter_contents as $content ) :
	                    			$counter_title = $content['one_hive_counter_title'];
	                    			$counter_icon = $content['one_hive_counter_icon'];
	                    			$counter_count = $content['one_hive_counter_no'];
			                    	?>
			                        <div class="col-md-3 col-sm-6 col-xs-12">
			                            <div class="counter_box block_items">
			                            	<?php
			                            		if( !empty( $counter_icon ) ) :
					                            	?>
					                                <div class="counter_icon">
					                                    <span>
					                                    	<i class="fa <?php echo esc_attr( $counter_icon ); ?>"></i>
					                                    </span>
					                                </div><!-- .counter_icon -->
					                                <?php
			                                	endif;

			                                	if( !empty( $counter_count ) ) :
					                                ?>
					                                <div class="counter_data">
					                                    <span class="counter">
					                                    	<?php
					                                    		echo esc_html( $counter_count );
					                                    	?>
					                                    </span>
					                                </div><!-- .counter_data -->
					                                <?php
			                                	endif;

			                                	if( !empty( $counter_title ) ) :
					                                ?>
					                                <div class="counter_title">
					                                    <h3>
					                                    	<?php
					                                    		echo esc_html( $counter_title );
					                                    	?>
					                                    </h3>
					                                </div><!-- .counter_title -->
					                                <?php
			                                	endif;
			                                ?>
			                            </div><!-- .counter_box.block_items -->
			                        </div><!-- .col-* -->
			                        <?php
	                        	endforeach;
	                        ?>
	                    </div><!-- .row -->
	                </div><!-- .counter_blocks_outer -->
	            </div><!-- .oh_container -->
	        </div><!-- .section_inner -->
	        <div class="mask"></div><!-- .mask -->
	    </section><!-- .counter -->
		<?php
	endif;