<?php
/**
 * About configuration
 *
 * @package One_Hive
 */

$config = array(
	'menu_name' => esc_html__( 'About One Hive', 'one-hive' ),
	'page_name' => esc_html__( 'About One Hive', 'one-hive' ),

	/* translators: theme version */
	'welcome_title' => sprintf( esc_html__( 'Welcome to %s - ', 'one-hive' ), 'One Hive' ),

	/* translators: 1: theme name */
	'welcome_content' => sprintf( esc_html__( 'We hope this page will help you to setup %1$s with few clicks. We believe you will find it easy to use and perfect for your website development.', 'one-hive' ), 'One Hive' ),

	// Quick links.
	'quick_links' => array(
		'theme_url' => array(
			'text' => esc_html__( 'Theme Details','one-hive' ),
			'url'  => 'https://themebeez.com/downloads/one-hive-free-multipurpose-business-wordpress-theme/ ',
			),
		'demo_url' => array(
			'text' => esc_html__( 'View Demo','one-hive' ),
			'url'  => 'https://demo.themebeez.com/one-hive/',
			),
		'documentation_url' => array(
			'text'   => esc_html__( 'View Documentation','one-hive' ),
			'url'    => 'https://themebeez.com/one-hive-wordpress-theme-documentation/',
			),
		),

	// Tabs.
	'tabs' => array(
		'getting_started'     => esc_html__( 'Getting Started', 'one-hive' ),
		'recommended_actions' => esc_html__( 'Recommended Actions', 'one-hive' ),
		'useful_plugins'      => esc_html__( 'Useful Plugins', 'one-hive' ),
		'demo_content'        => esc_html__( 'Demo Content', 'one-hive' ),
		'support'             => esc_html__( 'Support', 'one-hive' ),
		'free_pro'            => esc_html__( 'FREE VS. PRO', 'one-hive' ),
	),

	// Getting started.
	'getting_started' => array(
		array(
			'title'               => esc_html__( 'Theme Documentation', 'one-hive' ),
			'text'                => esc_html__( 'Find step by step instructions with video documentation to setup theme easily.', 'one-hive' ),
			'button_label'        => esc_html__( 'View documentation', 'one-hive' ),
			'button_link'         => 'https://themebeez.com/one-hive-wordpress-theme-documentation/',
			'is_button'           => false,
			'recommended_actions' => false,
			'is_new_tab'          => true,
		),
		array(
			'title'               => esc_html__( 'Recommended Actions', 'one-hive' ),
			'text'                => esc_html__( 'We recommend few steps to take so that you can get complete site like shown in demo.', 'one-hive' ),
			'button_label'        => esc_html__( 'Check recommended actions', 'one-hive' ),
			'button_link'         => esc_url( admin_url( 'themes.php?page=one-hive-about&tab=recommended_actions' ) ),
			'is_button'           => false,
			'recommended_actions' => false,
			'is_new_tab'          => false,
		),
		array(
			'title'               => esc_html__( 'Customize Everything', 'one-hive' ),
			'text'                => esc_html__( 'Start customizing every aspect of the website with customizer.', 'one-hive' ),
			'button_label'        => esc_html__( 'Go to Customizer', 'one-hive' ),
			'button_link'         => esc_url( wp_customize_url() ),
			'is_button'           => true,
			'recommended_actions' => false,
			'is_new_tab'          => false,
		),

		array(
			'title'        			=> esc_html__( 'Youtube Video Tutorials', 'one-hive' ),
			'text'         			=> esc_html__( 'Please check our youtube channel for video instructions of One Hive Pro setup and customization.', 'one-hive' ),
			'button_label' 			=> esc_html__( 'Video Tutorials', 'one-hive' ),
			'button_link'  			=> 'https://www.youtube.com/channel/UC3oIQqb6U-uQlxs2MDnP6yg',
			'is_button'    			=> false,
			'recommended_actions' 	=> false,
			'is_new_tab'   			=> true,
		),

		'first' => array(
			'title'        			=> esc_html__( 'Contact Support', 'one-hive' ),
			'text'         			=> esc_html__( 'If you have any problem, feel free to create ticket on our dedicated Support forum.', 'one-hive' ),
			'button_label' 			=> esc_html__( 'Contact Support', 'one-hive' ),
			'button_link'  			=> esc_url( 'https://themebeez.com/support/' ),
			'is_button'    			=> false,
			'recommended_actions' 	=> false,
			'is_new_tab'   			=> true,
		),
	),

	// Recommended actions.
	'recommended_actions' => array(
		'content' => array(
			'woocommerce' => array(
				'title'       => esc_html__( 'WooCommerce', 'one-hive' ),
				'description' => esc_html__( 'Please install WooCommerce plugin.', 'one-hive' ),
				'check'       => class_exists( 'WooCommerce' ),
				'plugin_slug' => 'woocommerce',
				'id'          => 'woocommerce',
			),
			'one-click-demo-import' => array(
				'title'       => esc_html__( 'One Click Demo Import', 'one-hive' ),
				'description' => esc_html__( 'Please install the One Click Demo Import plugin to import the demo content. After activation go to Appearance >> Import Demo Data and import it.', 'one-hive' ),
				'check'       => class_exists( 'OCDI_Plugin' ),
				'plugin_slug' => 'one-click-demo-import',
				'id'          => 'one-click-demo-import',
			),
			'regenerate-thumbnails' => array(
				'title'       => esc_html__( 'Regenerate Thumbnails', 'one-hive' ),
				'description' => esc_html__( 'Please install Regenerate Thumbnails. This plugin re-generates required thumbnails of all the images that has been uploaded.', 'one-hive' ),
				'check'       => class_exists( 'RegenerateThumbnails' ),
				'plugin_slug' => 'regenerate-thumbnails',
				'id'          => 'regenerate-thumbnails',
			),
		),
	),

	// Useful plugins.
	'useful_plugins' => array(
		'description'        => esc_html__( 'This theme supports some helpful WordPress plugins to enhance your website.', 'one-hive' ),
		'plugins_list_title' => esc_html__( 'Useful Plugins List:', 'one-hive' ),
	),

	// Demo content.
	'demo_content' => array(
		'description' => sprintf( esc_html__( 'Install %1$s plugin to import demo content. Demo data are bundled within the theme, Please make sure plugin is installed and activated. After plugin activation, go to Import Demo Data menu under Appearance and import it.', 'one-hive' ), '<a href="https://wordpress.org/plugins/one-click-demo-import/" target="_blank">' . esc_html__( 'One Click Demo Import', 'one-hive' ) . '</a>' ),
		),

	// Support.
	'support_content' => array(
		'first' => array(
			'title'        => esc_html__( 'Contact Support', 'one-hive' ),
			'icon'         => 'dashicons dashicons-sos',
			'text'         => esc_html__( 'If you have any problem, feel free to create ticket on our dedicated Support forum.', 'one-hive' ),
			'button_label' => esc_html__( 'Contact Support', 'one-hive' ),
			'button_link'  => esc_url( 'https://themebeez.com/support/' ),
			'is_button'    => true,
			'is_new_tab'   => true,
		),
		'second' => array(
			'title'        => esc_html__( 'Theme Documentation', 'one-hive' ),
			'icon'         => 'dashicons dashicons-book-alt',
			'text'         => esc_html__( 'Kindly check our theme documentation for detailed information and video instructions.', 'one-hive' ),
			'button_label' => esc_html__( 'View Documentation', 'one-hive' ),
			'button_link'  => 'https://themebeez.com/one-hive-wordpress-theme-documentation/',
			'is_button'    => false,
			'is_new_tab'   => true,
		),
		'fourth' => array(
			'title'        => esc_html__( 'Youtube Video Tutorials', 'one-hive' ),
			'icon'         => 'dashicons dashicons-video-alt3',
			'text'         => esc_html__( 'Please check our youtube channel for video instructions of One Hive Pro setup and customization.', 'one-hive' ),
			'button_label' => esc_html__( 'Video Tutorials', 'one-hive' ),
			'button_link'  => 'https://www.youtube.com/channel/UC3oIQqb6U-uQlxs2MDnP6yg',
			'is_button'    => false,
			'is_new_tab'   => true,
		),
		'fifth' => array(
			'title'        => esc_html__( 'Customization Request', 'one-hive' ),
			'icon'         => 'dashicons dashicons-admin-tools',
			'text'         => esc_html__( 'We have dedicated team members for theme customization. Feel free to contact us any time if you need any customization service.', 'one-hive' ),
			'button_label' => esc_html__( 'Customization Request', 'one-hive' ),
			'button_link'  => 'https://themebeez.com/
wordpress-theme-customization-installation-service
/',
			'is_button'    => false,
			'is_new_tab'   => true,
		),
		'sixth' => array(
			'title'        => esc_html__( 'Child Theme', 'one-hive' ),
			'icon'         => 'dashicons dashicons-admin-customizer',
			'text'         => esc_html__( 'If you want to customize theme file, you should use child theme rather than modifying theme file itself.', 'one-hive' ),
			'button_label' => esc_html__( 'About child theme', 'one-hive' ),
			'button_link'  => 'https://developer.wordpress.org/themes/advanced-topics/child-themes/',
			'is_button'    => false,
			'is_new_tab'   => true,
		),
	),

    // Free vs pro array.
    'free_pro' => array(

	    array(
		    'title'     => esc_html__( 'Multipurpose', 'one-hive' ),
		    'desc'      => esc_html__( 'Theme can be used as either Onepage or Multipage site.', 'one-hive' ),
		    'free'      => esc_html__('yes','one-hive'),
		    'pro'       => esc_html__('yes','one-hive'),
	    ),
	    array(
		    'title'     => esc_html__( 'WooCommerce Ready', 'one-hive' ),
		    'desc'      => esc_html__( 'Theme supports/works with WooCommerce plugin', 'one-hive' ),
		    'free'      => esc_html__('yes','one-hive'),
		    'pro'       => esc_html__('yes','one-hive'),
	    ),
	    array(
		    'title'     => esc_html__( 'Translation Ready', 'one-hive' ),
		    'desc'      => esc_html__( 'Theme can be easily translated into multiple languages.', 'one-hive' ),
		    'free'      => esc_html__('yes','one-hive'),
		    'pro'       => esc_html__('yes','one-hive'),
	    ),
	    array(
		    'title'     => esc_html__( 'Google Fonts', 'one-hive' ),
		    'desc' 		=> esc_html__( 'Google fonts options for changing the overall site fonts', 'one-hive' ),
		    'free'  	=> esc_html__('no','one-hive'),
		    'pro'   	=> esc_html__('800+','one-hive'),
	    ),
	    array(
		    'title'     => esc_html__( 'Theme Color Option', 'one-hive' ),
		    'desc'      => esc_html__( 'Option to change primary color of the site', 'one-hive' ),
		    'free'      => esc_html__('no','one-hive'),
		    'pro'       => esc_html__('yes','one-hive'),
	    ),
        array(
    	    'title'     => esc_html__( 'Color Options', 'one-hive' ),
    	    'desc'      => esc_html__( 'Options to change color of individual sections like top header, site title, menu, footer, etc of the site', 'one-hive' ),
    	    'free'      => esc_html__('yes','one-hive'),
    	    'pro'       => esc_html__('yes','one-hive'),
        ),
        array(
    	    'title'     => esc_html__( 'Hide Footer Credit', 'one-hive' ),
    	    'desc'      => esc_html__( 'Option to enable/disable Powerby(Designer) credit in footer', 'one-hive' ),
    	    'free'      => esc_html__('no','one-hive'),
    	    'pro'       => esc_html__('yes','one-hive'),
        ),
        array(
    	    'title'     => esc_html__( 'Override Footer Credit', 'one-hive' ),
    	    'desc'      => esc_html__( 'Option to Override existing Powerby credit of footer', 'one-hive' ),
    	    'free'      => esc_html__('no','one-hive'),
    	    'pro'       => esc_html__('yes','one-hive'),
        ),
	    array(
		    'title'     => esc_html__( 'SEO', 'one-hive' ),
		    'desc' 		=> esc_html__( 'Developed with high skilled SEO tools.', 'one-hive' ),
		    'free'  	=> esc_html__('yes','one-hive'),
		    'pro'   	=> esc_html__('yes','one-hive'),
	    ),
	    array(
		    'title'     => esc_html__( 'Custom Post Type', 'one-hive' ),
		    'desc' 		=> esc_html__( 'Project, custom post type to create projects info.', 'one-hive' ),
		    'free'  	=> esc_html__('no','one-hive'),
		    'pro'   	=> esc_html__('yes','one-hive'),
	    ),
	    array(
		    'title'     => esc_html__( 'Home Page Sections', 'one-hive' ),
		    'desc' 		=> esc_html__( 'Various sections of home page.', 'one-hive' ),
		    'free'  	=> esc_html__('Banner, Author, Feature, News, Counter, Blog, Testimonial, Team, CTA and Contact','one-hive'),
		    'pro'   	=> esc_html__('Extra Sections. Service, Project, Partners and Pricing','one-hive'),
	    ),
	    array(
		    'title'     => esc_html__( 'Customization Option', 'one-hive' ),
		    'desc' 		=> esc_html__( 'Customization of theme via customizer.', 'one-hive' ),
		    'free'  	=> esc_html__('Limited Options','one-hive'),
		    'pro'   	=> esc_html__('More Options','one-hive'),
	    ),
	    array(
		    'title'     => esc_html__( 'Contact Form 7 Compatible', 'one-hive' ),
		    'desc' 		=> esc_html__( 'Support for Contact Form 7 plugin.', 'one-hive' ),
		    'free'  	=> esc_html__('yes','one-hive'),
		    'pro'   	=> esc_html__('yes','one-hive'),
	    ),
	    array(
		    'title'     => esc_html__( 'Support Forum', 'one-hive' ),
		    'desc'      => esc_html__( 'Highly experienced and dedicated support team for your help plus online chat.', 'one-hive' ),
		    'free'      => esc_html__('yes', 'one-hive'),
		    'pro'       => esc_html__('High Priority', 'one-hive'),
	    )

    ),

);
One_Hive_About::init( apply_filters( 'one_hive_pro_about_filter', $config ) );
